This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 172450 - Cannot rename profile name using Sat 4.0 & rhel3
Cannot rename profile name using Sat 4.0 & rhel3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Fanny Augustin
:
Depends On:
Blocks: 167313
  Show dependency treegraph
 
Reported: 2005-11-04 12:30 EST by Matthew Davis
Modified: 2007-04-18 13:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn405
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 00:52:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2005-11-04 12:30:40 EST
Description of problem:
Renaming a system profile name to anything throws the error:

"A system name must contain only ascii characters."

I've tried the following:

dhcp
dhcp01
dhcp-
dhcp.01.redhat.com

All throw the above error

Version-Release number of selected component (if applicable):
4.0.3-2 (testsat.gsslab.rdu.redhat.com)
And reproduced it on rlx-3-14.rhndev.redhat.com (rhel3)

Note, rhel4 is not effected.

How reproducible:
Everytime

Steps to Reproduce:
1. Go to edit a system profile
2. Put anything in there
  
Actual results:
Above error.

Expected results:
Name changed
Comment 3 Mike McCune 2005-11-08 18:43:55 EST
taking a look at this one.
Comment 4 Mike McCune 2005-11-08 18:51:19 EST
reproduced on my rhel3 workstation.  working on a fix.
Comment 5 Mike McCune 2005-11-09 13:36:25 EST
checked fix into RELEASE-4.0 and trunk.  
Comment 6 Mike McCune 2005-11-15 18:22:19 EST
TESTPLAN:

0) On a RHEL3 4.0.5 satellite.

1) Navigate to Systems -> System -> Details -> Edit properties

2) add an "x" to the end of the system name

3) submit page.  It should update correctly.

4) re-edit the system name again.  Insert some Japanese/Korean/Chinese 
   characters. (translate.google.com is good for generating some)

5) Submit the form.  You should get an error message:
   "Desired System Name contains invalid characters. In addition to 
    alphanumeric characters, '-', '_', '.', and '@' are allowed. Please
    try again"

6) Repeat test on RHEL4 satellite or Hosted.
Comment 7 Todd Warner 2005-11-18 15:08:04 EST
Move bugs from Vlad's plate to Fanny's plate (QA contact)
Comment 8 Fanny Augustin 2005-12-07 15:10:48 EST
Looks good on QA
Comment 10 Todd Warner 2006-01-25 00:52:04 EST
Released.

Note You need to log in before you can comment on or make changes to this bug.